kd_jacco <- read.csv(file.choose(), sep=";", na.strings="NA", colClasses=c("character"), header=TRUE) #####\\zeus\1\TisjaD\PP_Campaign_2014\Data_sheets\kd_jacco_Eden_estuary.csv

sapply(kd_jacco,class)
#Statistics

#kd_jacco$average_Kd <- as.numeric(kd_jacco$average_Kd)
#kd_jacco$grains.0.063mm<- as.numeric(kd_jacco$grains.0.063mm)
#kd_jacco$chla_mg_m2_DMF<- as.numeric(kd_jacco$chla_mg_m2_DMF)

kd_jacco$averageKd <- as.numeric(kd_jacco$averageKd)
kd_jacco$grains <- as.numeric(kd_jacco$grains)
kd_jacco$chla <- as.numeric(kd_jacco$chla)
kd_jacco$organiccontent <- as.numeric(kd_jacco$organiccontent)
kd_jacco$watercontent <- as.numeric(kd_jacco$watercontent)

#Model 1
lm_Kd1 <- lm(averageKd ~ log(chla),data=kd_jacco)
summary(lm_Kd1)

#Model 2
lm_Kd2 <- lm(averageKd ~  chla,data=kd_jacco)
summary(lm_Kd2)

#Model 2
lm_Kd_org <- lm(averageKd ~ grains + chla + organiccontent,data=kd_jacco)
summary(lm_Kd_org)

#Model 3

lm_backward <- step(lm(averageKd ~ grains + chla + organiccontent+watercontent,data=kd_jacco),direction="backward")
#Step:  AIC=18.48
#averageKd ~ chla

#Df Sum of Sq    RSS   AIC
#<none>              39.382 18.48
#- chla  1    44.768 84.150 27.11

lm_forward <- step(lm(averageKd ~ 1,data=kd_jacco),direction="forward",scope= ~  grains + chla + organiccontent)

lm_both <- step(lm(averageKd ~ grains + chla + organiccontent+watercontent,data=kd_jacco),direction="both")

#Get modelled Kd values

kd_model <- coef(lm_Kd_org)[1] + coef(lm_Kd_org)[2]*kd_jacco$grains + coef(lm_Kd_org)[3]*kd_jacco$chla + coef(lm_Kd_org)[4]*kd_jacco$organiccontent



plot(kd_jacco$averageKd,kd_model)

#compare calculated values to measured kd values

cor.test(kd_jacco$average_Kd,kd_model)

