
### Select dataset
PAM_14_06_RLC <- read.csv(file.choose(), sep=",", na.strings="NA", colClasses=c("character"), header=TRUE) #\\zeus\eds\users\tisjad\PP_Campaign_2014\Data_sheets\Data_15_sept\For_R\pam_data_15sept_for_R.csv

colnames (PAM_14_06_RLC)[5] <- "Ft" # replace F with Ft as F is used as a logical operator in R and might cause confusion
head(PAM_14_06_RLC)
PAM_14_06_RLC <- PAM_14_06_RLC[!(is.na(PAM_14_06_RLC$No.) | PAM_14_06_RLC$No.==""),]## remove instrument settings from data frame

sapply(PAM_14_06_RLC, class)

sed_temp <- read.csv("//ZEUS/eds/users/tisjad/PP_Campaign_2014/Data_sheets/Data_15_sept/For_R/temp_15sept.csv")

### Select for desired protocol, station and variable
subset_LRC <-subset(PAM_14_06_RLC, Comments == "" & Instrument == "Mini-PAM" & Station != "",select=c(H.M.S,Station, ETR,PAR,Ft), drop=TRUE)

nrow(subset_LRC)
subset_LRC$ETR <- as.numeric(subset_LRC$ETR)
subset_LRC$PAR <- as.numeric(subset_LRC$PAR)
subset_LRC$Ft <- as.numeric(subset_LRC$Ft)

sapply(subset_LRC, class)

#select data with starting value of 'Ft' of 200 or higher

uni_stations <- unique(subset_LRC$Station)
n_stations <- length(uni_stations)

highft_subset <- data.frame(matrix(ncol = 0, nrow = 0))

for (d in 1:n_stations) {
  
  chart_title = uni_stations[d]
  data_station <- subset_LRC[subset_LRC$Station %in% uni_stations[d],]
  
  if (data_station$Ft[1] >= 200) {
    highft_subset  <- rbind(highft_subset,data_station)
  }}

uni_stations2 <- unique(highft_subset$Station)
n_stations2 <- length(uni_stations2)

####Convert H.M.S to numeric value

highft_subset$H.M.S <- substr(x = highft_subset$H.M.S,start=1,stop=5)

highft_subset$H.M.S <- sapply(strsplit(highft_subset$H.M.S,":"),
                              function(x) {
                                x <- as.numeric(x)
                                x[1]+x[2]/60
                              }
)

allmodels_alpha <- data.frame(matrix(nrow=0,ncol=0))
allmodels_Ik <- data.frame(matrix(nrow=0,ncol=0))
allmodels_beta <- data.frame(matrix(nrow=0,ncol=0))
allmodels_eopt <- data.frame(matrix(nrow=0,ncol=0))
allmodels_ps <- data.frame(matrix(nrow=0,ncol=0))
rETR_time <- data.frame(matrix(nrow=0,ncol=0))

#install.packages("D:/FRRF_1.0.tar.gz", repos = NULL, type="source")
require(FRRF)

for (d in 1:n_stations2) {
  
 data_station <- highft_subset[highft_subset$Station %in% uni_stations2[d],]
  
  xlimit <- max(data_station$PAR)
  
 FitPG <- PEfit("PG",data_station$PAR,data_station$ETR, normalized = FALSE)
  FitWebb <- PEfit("Webb",data_station$PAR,data_station$ETR, normalized = FALSE)
  FitJP <- PEfit("JP",data_station$PAR,data_station$ETR, normalized = FALSE)
  FitEP <- PEfit("EP",data_station$PAR,data_station$ETR, normalized = FALSE)
  
    alpha <- cbind(FitPG$alpha.alpha,FitWebb$alpha.alpha,FitJP$alpha.alpha,FitEP$alpha)
  Ik <- cbind(FitWebb$ek.ek,FitJP$ek.ek)
  ps <- cbind(FitPG$ps.ps,FitEP$ps)
  
  time <- data_station$H.M.S[1]
  
  allmodels_alpha <- rbind(allmodels_alpha,alpha)
  allmodels_Ik <- rbind(allmodels_Ik,Ik)
  allmodels_beta <- rbind(allmodels_beta,FitPG$beta.beta)
  allmodels_eopt <- rbind(allmodels_eopt,FitEP$eopt)
  allmodels_ps <- rbind(allmodels_ps,ps)
  rETR_time <- rbind(rETR_time,time)
} 

allmodels_alpha <- rETR_miniPAM$EP
  allmodels_Ik <- rETR_miniPAM$X244
 allmodels_beta <- rETR_miniPAM$EP
  allmodels_eopt <- rETR_miniPAM$EP
 allmodels_ps <- rETR_miniPAM$EP
rETR_time <- rETR_miniPAM$EP

colnames(allmodels_alpha) <- c("PG","Webb","JP","EP")
colnames(allmodels_beta) <- "PG"
colnames(allmodels_eopt) <- "EP"
colnames(allmodels_Ik) <- c("Webb","JP")
colnames(allmodels_ps) <- c("PG","EP")
colnames(rETR_time) <- "time"

phot_pars_EP <- as.data.frame(cbind(allmodels_alpha$EP,allmodels_eopt$EP,allmodels_ps$EP,allmodels_Ik$JP,uni_stations2,rETR_time$time))

colnames(phot_pars_EP)[1] <- "alpha"
colnames(phot_pars_EP)[2] <- "Eopt"
colnames(phot_pars_EP)[6] <- "Time"
colnames(phot_pars_EP)[3] <- "ps"
colnames(phot_pars_EP)[4] <- "Ik"
colnames(phot_pars_EP)[5] <- "uni_stations2"

phot_pars_EP$plot <- substr(phot_pars_EP$uni_stations2,1,1)
phot_pars_EP$alpha <- as.numeric(as.character(phot_pars_EP$alpha))
phot_pars_EP$Time <- as.numeric(as.character(phot_pars_EP$Time))
phot_pars_EP$Eopt <- as.numeric(as.character(phot_pars_EP$Eopt))
phot_pars_EP$ps <- as.numeric(as.character(phot_pars_EP$ps))
phot_pars_EP$Ik <- as.numeric(as.character(phot_pars_EP$Ik))

phot_pars_A <-subset(phot_pars_EP,plot == "A" ,select=c(alpha,Eopt,ps,Ik,Time), drop=TRUE) 
phot_pars_B <-subset(phot_pars_EP,plot == "B" ,select=c(alpha,Eopt,ps,Ik,Time), drop=TRUE) 

#Get alpha and Eopt from C14 data

Carbon_uptake_full <- read.csv(file.choose(), sep=",", na.strings="NA", colClasses=c("character"), header=TRUE) #\\zeus\eds\users\tisjad\PP_Campaign_2014\Data_sheets\Data_15_sept\For_R\14Cfit_allmodels.csv
Carbon_uptake_full$time <- sapply(strsplit(Carbon_uptake_full$Time,":"),
                   function(x) {
                     x <- as.numeric(x)
                     x[1]+x[2]/60
                   }
)

Carbon_uptake_full$Alpha <- as.numeric(Carbon_uptake_full$Alpha)
Carbon_uptake_full$Ik <- as.numeric(Carbon_uptake_full$Ik)

Carbon_uptake <-subset(Carbon_uptake_full, Model == "EP",select=c(time,ChlConcentration, Sample,PMax,Alpha,Ik,IOpt,Comment))

Carbon_uptake$plot <- substr(Carbon_uptake$Comment,8,8)

#plot phot pars for point A and B separately

alpha_ETR_A <- phot_pars_EP[phot_pars_EP$plot == "A",]
alpha_ETR_B <- phot_pars_EP[phot_pars_EP$plot == "B",]

Ek_ETR_A <- allmodels_Ik[phot_pars_EP$plot == "A",]
Ek_ETR_B <-  allmodels_Ik[phot_pars_EP$plot == "B",]

#Plot photosynthetic parameters PAM

par(mfrow= c(3,4),mar = rep(4, 4))

#alpha PAM (left) and 14C (RIGHT)
plot(phot_pars_EP$Time,phot_pars_EP$a,pch=16,ylim=c(0.1,0.3),ylab=expression('??'[italic("ETR")]),xlab="Time (h)",main="PAM")
text(15.5,0.29,paste("A"))
plot(Carbon_uptake$time,Carbon_uptake$Alpha,pch=16,ylim=c(0,0.05),ylab=expression('??'[italic("B")]),xlab="Time (h)",main="C fixation")
text(18,0.047,paste("B"))
#ps pam (LEFT) AND 14c (RIGHT)
plot(phot_pars_EP$Time,phot_pars_EP$Eopt,pch=16,ylim=c(500,2000),ylab=expression("E"["opt-PAM"]),xlab="Time (h)")
text(15.5,1900,paste("C"))
plot(Carbon_uptake$time,Carbon_uptake$IOpt,pch=16,ylim=c(0,2000),ylab=expression("I"["Opt"]),xlab="Time (h)")
text(18,1870,paste("D"))

#ek pam (LEFT) and 14C (RIGHT)




#Plot photosynthetic parameters PAM as boxplot inlcuding asterix by statistically different time steps

#y  = alpha of eopt
#x = average time

require(plyr)

phot_pars_EP$timestep <- substr(phot_pars_EP$uni_stations2,2,2)
average_timestep <- ddply(phot_pars_EP,~timestep,summarise,mean=mean(Time),sd=sd(Time))
phot_pars_EP$average_timestep <- c(rep(average_timestep$mean[1],4),rep(average_timestep$mean[2],6),rep(average_timestep$mean[3],6),rep(average_timestep$mean[4],4))

Carbon_uptake$timestep <- substr(Carbon_uptake$Comment,9,9)
average_timestep_carbon <- ddply(Carbon_uptake,~timestep,summarise,mean=mean(time),sd=sd(time))
Carbon_uptake$average_timestep <- c(rep(average_timestep_carbon$mean[1],3),rep(average_timestep_carbon$mean[2],2),rep(average_timestep_carbon$mean[3],2),rep(average_timestep_carbon$mean[4],2),
                                    rep(average_timestep_carbon$mean[5],3),rep(average_timestep_carbon$mean[2],2),rep(average_timestep_carbon$mean[3],3),rep(average_timestep_carbon$mean[4],3),
                                    rep(average_timestep_carbon$mean[5],3))

sed_temp$Time <- as.character(sed_temp$Time)

sed_temp$Time_num <- sapply(strsplit(sed_temp$Time,":"),
                                  function(x) {
                                    x <- as.numeric(x)
                                    x[1]+x[2]/60
                                  }
)

sed_temp$timestep <- paste(as.character(sed_temp$plot),substr(sed_temp$Time,1,2))
average_time_sed <- ddply(sed_temp,~timestep,summarise,mean=mean(Time_num),sd=sd(Time_num))
average_temp_sed <-ddply(sed_temp,~timestep,summarise,mean=mean(Temp),sd=sd(Temp))

colnames(average_temp_sed)[2] <- "Temp"
colnames(average_time_sed)[2] <- "time"

sed_temp_time <- cbind(average_time_sed,average_temp_sed)
sed_temp_time$plot <- substr(sed_temp_time$timestep,1,1)

sed_temp_A <- sed_temp_time[sed_temp_time$plot == "A",]
sed_temp_B <- sed_temp_time[sed_temp_time$plot == "B",]

Carbon_uptake$IOpt <- as.numeric(Carbon_uptake$IOpt)
require(ggplot2)
require(gridExtra)

phot_pars_A <- phot_pars_EP[phot_pars_EP$plot == "A",]
phot_pars_B  <- phot_pars_EP[phot_pars_EP$plot == "B",]
carbon_uptake_a <- Carbon_uptake[Carbon_uptake$plot == "A",]
carbon_uptake_b <- Carbon_uptake[Carbon_uptake$plot == "B",]

#sed temp



plot_temp_a <- ggplot(aes(y=Temp,x=time,group=time),data=sed_temp_A)+ geom_boxplot() + ylim(19,26) + xlab("")+
  ylab(expression("T (C)")) 
plot_temp_atitle <- plot_temp_a + ggtitle("")
plot_temp_atitle<- plot_temp_a+theme(axis.text=element_text(size=14,face="bold"),
                                   axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))


plot_temp_b <- ggplot(aes(y=Temp,x=time,group=time),data=sed_temp_B)+ geom_boxplot() + ylim(19,26) + xlab("")+
  ylab(expression("T (C)")) 
plot_temp_atitle <- plot_temp_a + ggtitle("")
plot_temp_atitle<- plot_temp_a+theme(axis.text=element_text(size=14,face="bold"),
                                     axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))


#PAM alpha
plot_pam_a <- ggplot(aes(y = alpha,x = average_timestep,group=average_timestep), data = phot_pars_A) + geom_boxplot() + ylim(0,0.3) + xlab("")+
  ylab(expression("??"[italic("ETR")])) 
plot_pam_atitle <- plot_pam_a + ggtitle("PAM")
plot_pam_atitle<- plot_pam_a+theme(axis.text=element_text(size=14,face="bold"),
                                axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))

plot_pam_b <- ggplot(aes(y = alpha,x = average_timestep,group=average_timestep), data = phot_pars_B) + geom_boxplot() + ylim(0,0.3)  + xlab("")+
  ylab("") 
plot_pam_atitle <- plot_pam_b + ggtitle("PAM")
plot_pam_atitle<- plot_pam_b+theme(axis.text=element_text(size=14,face="bold"),
                                   axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))


#carbon alpha
plot_carbon_a <- ggplot(aes(y = Alpha, x = average_timestep,group=average_timestep), data = carbon_uptake_a) + geom_boxplot() + ylim(0,0.05) + xlab("")+
  ylab(expression("??"[italic("B")])) 
plot_carbon_atitle <- plot_carbon_a + ggtitle("C fixation")
plot_carbon_atitle<- plot_carbon_a+theme(axis.text=element_text(size=14,face="bold"),
                                   axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))

plot_carbon_b <- ggplot(aes(y = Alpha, x = average_timestep,group=average_timestep), data = carbon_uptake_b) + geom_boxplot() + ylim(0,0.05)  + xlab("")+
  ylab("") 
plot_carbon_btitle <- plot_carbon_b + ggtitle("C fixation")
plot_carbon_btitle<- plot_carbon_b+theme(axis.text=element_text(size=14,face="bold"),
                                         axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))

#ps pam

plot_pam_ps_a <- ggplot(aes(y = ps,x = average_timestep,group=average_timestep), data = phot_pars_A) + geom_boxplot() + ylim(0,200)  + xlab("")+
  ylab(expression("Ps")) 
plot_pam_atitle <- plot_pam_a + ggtitle("PAM")
plot_pam_atitle<- plot_pam_a+theme(axis.text=element_text(size=14,face="bold"),
                                   axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))

plot_pam_ps_b <- ggplot(aes(y = ps,x = average_timestep,group=average_timestep), data = phot_pars_B) + geom_boxplot() + ylim(0,200) + xlab("")+
  ylab("") 
plot_pam_atitle <- plot_pam_b + ggtitle("PAM")
plot_pam_atitle<- plot_pam_b+theme(axis.text=element_text(size=14,face="bold"),
                                   axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))

#eopt pam

plot_pam_eopt_a <- ggplot(aes(y = Eopt,x = average_timestep,group=average_timestep), data = phot_pars_A) + geom_boxplot() + ylim(0,2000)  + xlab("")+
  ylab(expression("Eopt")) 
plot_pam_atitle <- plot_pam_a + ggtitle("PAM")
plot_pam_atitle<- plot_pam_a+theme(axis.text=element_text(size=14,face="bold"),
                                   axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))

plot_pam_eopt_b <- ggplot(aes(y = Eopt,x = average_timestep,group=average_timestep), data = phot_pars_B) + geom_boxplot() + ylim(0,2000) + xlab("")+
  ylab("") 
plot_pam_atitle <- plot_pam_b + ggtitle("PAM")
plot_pam_atitle<- plot_pam_b+theme(axis.text=element_text(size=14,face="bold"),
                                   axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))

#eopt carbon
carbon_uptake_a$IOpt <- as.numeric(carbon_uptake_a$IOpt)
carbon_uptake_b$IOpt <- as.numeric(carbon_uptake_b$IOpt)

plot_carbon_iopt_a <- ggplot(aes(y = IOpt, x = average_timestep,group=average_timestep), data = carbon_uptake_a) + geom_boxplot() + ylim(0,2000)  + xlab("")+
  ylab(expression("IOpt")) 

plot_carbon_iopt_b <- ggplot(aes(y = IOpt, x = average_timestep,group=average_timestep), data = carbon_uptake_b) + geom_boxplot() + ylim(0,2000) + xlab("")+
  ylab("") 



#ps carbon
carbon_uptake_a$PMax <- as.numeric(carbon_uptake_a$PMax)
carbon_uptake_b$PMax <- as.numeric(carbon_uptake_b$PMax)

plot_carbon_pmax_a <- ggplot(aes(y = PMax, x = average_timestep,group=average_timestep), data = carbon_uptake_a) + geom_boxplot() + ylim(0,10)  + xlab("")+
  ylab(expression("Ps")) 

plot_carbon_pmax_b <- ggplot(aes(y = PMax, x = average_timestep,group=average_timestep), data = carbon_uptake_b) + geom_boxplot() + ylim(0,10) + xlab("")+
  ylab("") 

#PAM Ek

plot_pam_ek_a <- ggplot(aes(y = Ik,x = average_timestep,group=average_timestep), data = phot_pars_A) + geom_boxplot() + ylim(0,1000) +
  xlab("") +
  ylab(expression("Ek")) 
plot_pam_atitle <- plot_pam_a + ggtitle("PAM")
plot_pam_atitle<- plot_pam_a+theme(axis.text=element_text(size=14,face="bold"),
                                   axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))

plot_pam_ek_b <- ggplot(aes(y = Ik,x = average_timestep,group=average_timestep), data = phot_pars_B) + geom_boxplot() + ylim(0,1000) +
  xlab("") +
  ylab("") 
plot_pam_atitle <- plot_pam_b + ggtitle("PAM")
plot_pam_atitle<- plot_pam_b+theme(axis.text=element_text(size=14,face="bold"),
                                   axis.title=element_text(size=14,face="bold"))+theme(legend.text=element_text(size=12,face="bold"))


#carbon Ek

plot_carbon_ek_a <- ggplot(aes(y = Ik, x = average_timestep,group=average_timestep), data = carbon_uptake_a) + geom_boxplot() + ylim(0,600) +
  xlab("") +
  ylab(expression("Ek")) 

plot_carbon_ek_b <- ggplot(aes(y = Ik, x = average_timestep,group=average_timestep), data = carbon_uptake_b) + geom_boxplot() + ylim(0,600) +
  xlab("") +
  ylab("") 

require(grid)

jpeg("//ZEUS/eds/users/tisjad/PP_Campaign_2014/PP_model_RS/Paper_comments/High_quality_figures/figures1_phot_pars_400dpi.jpeg", width = 7, height = 8.5, units = 'in', res = 400)
grid.arrange(plot_pam_a, plot_pam_b,plot_carbon_a,plot_carbon_b,plot_pam_eopt_a,plot_pam_eopt_b,plot_carbon_iopt_a,plot_carbon_iopt_b,
            plot_pam_ps_a,plot_pam_ps_b,plot_carbon_pmax_a,plot_carbon_pmax_b,
             plot_pam_ek_a,plot_pam_ek_b,plot_carbon_ek_a,plot_carbon_ek_b,plot_temp_a,plot_temp_b,ncol=4 ,top=textGrob("          PAM                                    C fixation", vjust = 0.5, gp = gpar(fontface = "bold", cex = 1.5)),
             bottom=textGrob("    A                                        B                 Time(h)              A                                  B", vjust = 0.5, gp = gpar(fontface = "bold", cex = 1)))

dev.off()


grid.arrange(plot_temp_a,plot_temp_b,plot_temp_a,plot_temp_b,plot_temp_a,plot_temp_b,plot_temp_a,plot_temp_b,
             plot_temp_a,plot_temp_b,plot_temp_a,plot_temp_b,
             plot_temp_a,plot_temp_b,plot_temp_a,plot_temp_b,plot_temp_a,plot_temp_b,ncol=4 ,top=textGrob("          PAM                                    C fixation", vjust = 0.5, gp = gpar(fontface = "bold", cex = 1.5)),
          bottom=textGrob("    A                                        B                 Time(h)              A                                  B", vjust = 0.5, gp = gpar(fontface = "bold", cex = 1)))



















